Subject: Re: bug#29200: `guix build --fallback` does not work with offloading

From: [email-masked] (Ludovic Courtès)
Date: Wed, 08 Nov 2017 09:53:14 +0100

Marius Bakke <[email-masked]> skribis:

> I've noticed that when offloading, --fallback sometimes fails to
> actually fall back.  Here is a shell transcript:

The problem is that guix-daemon does not pass “fallbackness” settings to
‘guix offload’ (you can check (guix scripts offload) to see what
settings are passed.)

We should adjust guix-daemon and (guix scripts offload) to pass this
extra setting, though there are probably other bits missing.

Thanks,
Ludo’.